Session
Get or start a new public session
GET/api/cp/public_session
Responses
200Get or start a new public sessionPublicSession
Show fields (22)
tokenstringToken that identifies the public session.
person_first_namestringFirst name of the person entered in the session.
person_last_namestringLast name of the person entered in the session.
person_emailstringE-mail address of the person entered in the session.
person_phonestringPhone number of the person entered in the session.
company_namestringName of the company entered in the session.
company_emailstringE-mail address of the company entered in the session.
company_phonestringPhone number of the company entered in the session.
company_addressstringAddress of the company, as text.
company_address_street_levelstringStreet and house number of the company address.
company_address_costringCare-of line of the company address.
company_address_citystringCity of the company address.
company_address_zipstringPostal code of the company address.
company_address_countrystringCountry of the company address.
person_addressstringAddress of the person, as text.
person_address_street_levelstringStreet and house number of the person address.
person_address_costringCare-of line of the person address.
person_address_citystringCity of the person address.
person_address_zipstringPostal code of the person address.
person_address_countrystringCountry of the person address.
person_birthdaystring (date-time)Birthday of the person entered in the session.
person_genderstringGender of the person entered in the session.
curl --request GET \
--url https://your-instance.iw-erp.de/api/cp/public_sessionconst options = {method: 'GET'};
fetch('https://your-instance.iw-erp.de/api/cp/public_session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/cp/public_session"
response = requests.get(url)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/cp/public_session');
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/cp/public_session"),
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/cp/public_session")
.get()
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/cp/public_session"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/public_session_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
final result = await PublicSessionController.getOrCreate();
if (result.success) {
print(result.data);
}{
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org",
"company_phone": "+49 511 123456",
"company_address_city": "Hannover",
"company_address_zip": "30163",
"company_address_country": "DE"
}Update / create fields of public session
POST/api/cp/public_session
Request body application/json
dataPublicSession2Show fields (21)
person_first_namestringFirst name of the person entered in the session.
person_last_namestringLast name of the person entered in the session.
person_emailstringE-mail address of the person entered in the session.
person_phonestringPhone number of the person entered in the session.
company_namestringName of the company entered in the session.
company_emailstringE-mail address of the company entered in the session.
company_phonestringPhone number of the company entered in the session.
company_addressstringAddress of the company, as text.
company_address_street_levelstringStreet and house number of the company address.
company_address_costringCare-of line of the company address.
company_address_citystringCity of the company address.
company_address_zipstringPostal code of the company address.
company_address_countrystringCountry of the company address.
person_addressstringAddress of the person, as text.
person_address_street_levelstringStreet and house number of the person address.
person_address_costringCare-of line of the person address.
person_address_citystringCity of the person address.
person_address_zipstringPostal code of the person address.
person_address_countrystringCountry of the person address.
person_birthdaystring (date-time)Birthday of the person entered in the session.
person_genderstringGender of the person entered in the session.
Responses
200Update fields of public sessionPublicSession3
Show fields (25)
idintegerPrimary key of the public session. Internal ID.
tokenstringToken that identifies the public session.
person_first_namestringFirst name of the person entered in the session.
person_last_namestringLast name of the person entered in the session.
person_emailstringE-mail address of the person entered in the session.
person_phonestringPhone number of the person entered in the session.
company_namestringName of the company entered in the session.
company_emailstringE-mail address of the company entered in the session.
company_phonestringPhone number of the company entered in the session.
company_addressstringAddress of the company, as text.
company_address_street_levelstringStreet and house number of the company address.
company_address_costringCare-of line of the company address.
company_address_citystringCity of the company address.
company_address_zipstringPostal code of the company address.
company_address_countrystringCountry of the company address.
person_addressstringAddress of the person, as text.
person_address_street_levelstringStreet and house number of the person address.
person_address_costringCare-of line of the person address.
person_address_citystringCity of the person address.
person_address_zipstringPostal code of the person address.
person_address_countrystringCountry of the person address.
person_birthdaystring (date-time)Birthday of the person entered in the session.
person_genderstringGender of the person entered in the session.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request POST \
--url https://your-instance.iw-erp.de/api/cp/public_session \
--header 'content-type: application/json' \
--data '
{
"data": {
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org"
}
}
'const options = {
method: 'POST',
headers: {'content-type': 'application/json'},
body: JSON.stringify({
data: {
person_first_name: 'Beispiel',
person_last_name: 'Beispiel',
person_email: 'lena.hartmann@example.org',
person_phone: '+49 511 123456',
company_name: 'Beispiel',
company_email: 'lena.hartmann@example.org'
}
})
};
fetch('https://your-instance.iw-erp.de/api/cp/public_session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/cp/public_session"
payload = { "data": {
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org"
} }
headers = {"content-type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/cp/public_session', [
'body' => '{"data":{"person_first_name":"Beispiel","person_last_name":"Beispiel","person_email":"lena.hartmann@example.org","person_phone":"+49 511 123456","company_name":"Beispiel","company_email":"lena.hartmann@example.org"}}',
'headers' => [
'content-type' => 'application/json',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/cp/public_session"),
Content = new StringContent("{\"data\":{\"person_first_name\":\"Beispiel\",\"person_last_name\":\"Beispiel\",\"person_email\":\"lena.hartmann@example.org\",\"person_phone\":\"+49 511 123456\",\"company_name\":\"Beispiel\",\"company_email\":\"lena.hartmann@example.org\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"person_first_name\":\"Beispiel\",\"person_last_name\":\"Beispiel\",\"person_email\":\"lena.hartmann@example.org\",\"person_phone\":\"+49 511 123456\",\"company_name\":\"Beispiel\",\"company_email\":\"lena.hartmann@example.org\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/cp/public_session")
.post(body)
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/cp/public_session"
payload := strings.NewReader("{\"data\":{\"person_first_name\":\"Beispiel\",\"person_last_name\":\"Beispiel\",\"person_email\":\"lena.hartmann@example.org\",\"person_phone\":\"+49 511 123456\",\"company_name\":\"Beispiel\",\"company_email\":\"lena.hartmann@example.org\"}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/public_session_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/public_session.dart';
IwApiState().host = 'your-instance.iw-erp.de';
final result = await PublicSessionController.updateOrCreate(PublicSession.fromJson({
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org"
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org",
"company_phone": "+49 511 123456",
"company_address_city": "Hannover",
"company_address_zip": "30163"
}Update / create fields of public session
PUT/api/cp/public_session
Request body application/json
dataPublicSession2Show fields (21)
person_first_namestringFirst name of the person entered in the session.
person_last_namestringLast name of the person entered in the session.
person_emailstringE-mail address of the person entered in the session.
person_phonestringPhone number of the person entered in the session.
company_namestringName of the company entered in the session.
company_emailstringE-mail address of the company entered in the session.
company_phonestringPhone number of the company entered in the session.
company_addressstringAddress of the company, as text.
company_address_street_levelstringStreet and house number of the company address.
company_address_costringCare-of line of the company address.
company_address_citystringCity of the company address.
company_address_zipstringPostal code of the company address.
company_address_countrystringCountry of the company address.
person_addressstringAddress of the person, as text.
person_address_street_levelstringStreet and house number of the person address.
person_address_costringCare-of line of the person address.
person_address_citystringCity of the person address.
person_address_zipstringPostal code of the person address.
person_address_countrystringCountry of the person address.
person_birthdaystring (date-time)Birthday of the person entered in the session.
person_genderstringGender of the person entered in the session.
Responses
200Update fields of public sessionPublicSession3
Show fields (25)
idintegerPrimary key of the public session. Internal ID.
tokenstringToken that identifies the public session.
person_first_namestringFirst name of the person entered in the session.
person_last_namestringLast name of the person entered in the session.
person_emailstringE-mail address of the person entered in the session.
person_phonestringPhone number of the person entered in the session.
company_namestringName of the company entered in the session.
company_emailstringE-mail address of the company entered in the session.
company_phonestringPhone number of the company entered in the session.
company_addressstringAddress of the company, as text.
company_address_street_levelstringStreet and house number of the company address.
company_address_costringCare-of line of the company address.
company_address_citystringCity of the company address.
company_address_zipstringPostal code of the company address.
company_address_countrystringCountry of the company address.
person_addressstringAddress of the person, as text.
person_address_street_levelstringStreet and house number of the person address.
person_address_costringCare-of line of the person address.
person_address_citystringCity of the person address.
person_address_zipstringPostal code of the person address.
person_address_countrystringCountry of the person address.
person_birthdaystring (date-time)Birthday of the person entered in the session.
person_genderstringGender of the person entered in the session.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/cp/public_session \
--header 'content-type: application/json' \
--data '
{
"data": {
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org"
}
}
'const options = {
method: 'PUT',
headers: {'content-type': 'application/json'},
body: JSON.stringify({
data: {
person_first_name: 'Beispiel',
person_last_name: 'Beispiel',
person_email: 'lena.hartmann@example.org',
person_phone: '+49 511 123456',
company_name: 'Beispiel',
company_email: 'lena.hartmann@example.org'
}
})
};
fetch('https://your-instance.iw-erp.de/api/cp/public_session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/cp/public_session"
payload = { "data": {
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org"
} }
headers = {"content-type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/cp/public_session', [
'body' => '{"data":{"person_first_name":"Beispiel","person_last_name":"Beispiel","person_email":"lena.hartmann@example.org","person_phone":"+49 511 123456","company_name":"Beispiel","company_email":"lena.hartmann@example.org"}}',
'headers' => [
'content-type' => 'application/json',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/cp/public_session"),
Content = new StringContent("{\"data\":{\"person_first_name\":\"Beispiel\",\"person_last_name\":\"Beispiel\",\"person_email\":\"lena.hartmann@example.org\",\"person_phone\":\"+49 511 123456\",\"company_name\":\"Beispiel\",\"company_email\":\"lena.hartmann@example.org\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"person_first_name\":\"Beispiel\",\"person_last_name\":\"Beispiel\",\"person_email\":\"lena.hartmann@example.org\",\"person_phone\":\"+49 511 123456\",\"company_name\":\"Beispiel\",\"company_email\":\"lena.hartmann@example.org\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/cp/public_session")
.put(body)
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/cp/public_session"
payload := strings.NewReader("{\"data\":{\"person_first_name\":\"Beispiel\",\"person_last_name\":\"Beispiel\",\"person_email\":\"lena.hartmann@example.org\",\"person_phone\":\"+49 511 123456\",\"company_name\":\"Beispiel\",\"company_email\":\"lena.hartmann@example.org\"}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.put(
Uri.parse('https://your-instance.iw-erp.de/api/cp/public_session'),
headers: {'content-type': 'application/json'},
body: jsonEncode({
"data": {
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org"
}
}),
);
print(response.body);{
"id": 42,
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org",
"company_phone": "+49 511 123456",
"company_address_city": "Hannover",
"company_address_zip": "30163"
}Update / create fields of public session
PATCH/api/cp/public_session
Request body application/json
dataPublicSession2Show fields (21)
person_first_namestringFirst name of the person entered in the session.
person_last_namestringLast name of the person entered in the session.
person_emailstringE-mail address of the person entered in the session.
person_phonestringPhone number of the person entered in the session.
company_namestringName of the company entered in the session.
company_emailstringE-mail address of the company entered in the session.
company_phonestringPhone number of the company entered in the session.
company_addressstringAddress of the company, as text.
company_address_street_levelstringStreet and house number of the company address.
company_address_costringCare-of line of the company address.
company_address_citystringCity of the company address.
company_address_zipstringPostal code of the company address.
company_address_countrystringCountry of the company address.
person_addressstringAddress of the person, as text.
person_address_street_levelstringStreet and house number of the person address.
person_address_costringCare-of line of the person address.
person_address_citystringCity of the person address.
person_address_zipstringPostal code of the person address.
person_address_countrystringCountry of the person address.
person_birthdaystring (date-time)Birthday of the person entered in the session.
person_genderstringGender of the person entered in the session.
Responses
200Update fields of public sessionPublicSession3
Show fields (25)
idintegerPrimary key of the public session. Internal ID.
tokenstringToken that identifies the public session.
person_first_namestringFirst name of the person entered in the session.
person_last_namestringLast name of the person entered in the session.
person_emailstringE-mail address of the person entered in the session.
person_phonestringPhone number of the person entered in the session.
company_namestringName of the company entered in the session.
company_emailstringE-mail address of the company entered in the session.
company_phonestringPhone number of the company entered in the session.
company_addressstringAddress of the company, as text.
company_address_street_levelstringStreet and house number of the company address.
company_address_costringCare-of line of the company address.
company_address_citystringCity of the company address.
company_address_zipstringPostal code of the company address.
company_address_countrystringCountry of the company address.
person_addressstringAddress of the person, as text.
person_address_street_levelstringStreet and house number of the person address.
person_address_costringCare-of line of the person address.
person_address_citystringCity of the person address.
person_address_zipstringPostal code of the person address.
person_address_countrystringCountry of the person address.
person_birthdaystring (date-time)Birthday of the person entered in the session.
person_genderstringGender of the person entered in the session.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/cp/public_session \
--header 'content-type: application/json' \
--data '
{
"data": {
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org"
}
}
'const options = {
method: 'PATCH',
headers: {'content-type': 'application/json'},
body: JSON.stringify({
data: {
person_first_name: 'Beispiel',
person_last_name: 'Beispiel',
person_email: 'lena.hartmann@example.org',
person_phone: '+49 511 123456',
company_name: 'Beispiel',
company_email: 'lena.hartmann@example.org'
}
})
};
fetch('https://your-instance.iw-erp.de/api/cp/public_session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/cp/public_session"
payload = { "data": {
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org"
} }
headers = {"content-type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/cp/public_session', [
'body' => '{"data":{"person_first_name":"Beispiel","person_last_name":"Beispiel","person_email":"lena.hartmann@example.org","person_phone":"+49 511 123456","company_name":"Beispiel","company_email":"lena.hartmann@example.org"}}',
'headers' => [
'content-type' => 'application/json',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/cp/public_session"),
Content = new StringContent("{\"data\":{\"person_first_name\":\"Beispiel\",\"person_last_name\":\"Beispiel\",\"person_email\":\"lena.hartmann@example.org\",\"person_phone\":\"+49 511 123456\",\"company_name\":\"Beispiel\",\"company_email\":\"lena.hartmann@example.org\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"person_first_name\":\"Beispiel\",\"person_last_name\":\"Beispiel\",\"person_email\":\"lena.hartmann@example.org\",\"person_phone\":\"+49 511 123456\",\"company_name\":\"Beispiel\",\"company_email\":\"lena.hartmann@example.org\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/cp/public_session")
.patch(body)
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/cp/public_session"
payload := strings.NewReader("{\"data\":{\"person_first_name\":\"Beispiel\",\"person_last_name\":\"Beispiel\",\"person_email\":\"lena.hartmann@example.org\",\"person_phone\":\"+49 511 123456\",\"company_name\":\"Beispiel\",\"company_email\":\"lena.hartmann@example.org\"}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/cp/public_session'),
headers: {'content-type': 'application/json'},
body: jsonEncode({
"data": {
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org"
}
}),
);
print(response.body);{
"id": 42,
"person_first_name": "Beispiel",
"person_last_name": "Beispiel",
"person_email": "lena.hartmann@example.org",
"person_phone": "+49 511 123456",
"company_name": "Beispiel",
"company_email": "lena.hartmann@example.org",
"company_phone": "+49 511 123456",
"company_address_city": "Hannover",
"company_address_zip": "30163"
}